/****************************************************************
*  Name    : HouseSpeechDemo									*
*  Author  : Davide Ferrario                                    *
*  Notice  : Copyright 2011 All Rights Reserved                 *
*  Date    : 14/05/2011                                         *
*  Notes   : Classe principale del progetto				     	*
*          :													*
****************************************************************/

// Definizione Package
package BlackProject.HouseSpeechDemo;

//Inclusione librerie
import android.app.Activity;
import android.os.Bundle;
import java.util.Timer;
import java.util.TimerTask;
import android.content.Intent;

//Classe main del progetto HouseSpeechDemo
public class HouseSpeechDemo extends Activity {
	// Eseguita quando l'activity viene creata per la prima volta
    @Override
    public void onCreate (Bundle savedInstanceState) {
    	super.onCreate (savedInstanceState);
    	setContentView (R.layout.main);
    	
        // Inizializza configurazione completa programma
    	Utility.LeggiConfigurazioneCompleta (this); 

    	// Creo/Avvio timer rimozione splashscreen e visualizzazione TabMenu
    	Timer RimuoviSplashScreenTimer = new Timer();
    	RimuoviSplashScreenTimer.schedule (new TimerTask() {
			@Override
			public void run() {
				RimuoviSplashScreen();
		 	}
		}, 1000);
    }		// Chiusura funzione onCreate

	// Rimozione splashscreen e visualizzazione finestra tabmenu
    void RimuoviSplashScreen() {
        // Avvio activity Control
		Intent intent = new Intent (this, Control.class);
       	startActivity (intent);
		finish();
    }		// Chiusura funzione RimuoviSplashScreen
}		// Chiusura classe HouseSpeechDemo