/****************************************************************
*  Name    : StartupIntentReceiver								*
*  Author  : Davide Ferrario                                    *
*  Notice  : Copyright 2011 All Rights Reserved                 *
*  Date    : 13/05/2011                                         *
*  Notes   : Classe ricevitore evento startup cellulare	   		*
*          :													*
****************************************************************/

// Definizione package
package BlackProject.HouseSpeechDemo;

//Inclusione librerie
import android.content.Context;
import android.content.Intent;
import android.content.BroadcastReceiver;

// Classe main del progetto StartupBroadcastReceiver
public class StartupBroadcastReceiver extends BroadcastReceiver {
	@Override
	public void onReceive (final Context context, final Intent intent) {
		// Se ricevuto Intent AND Intent uguale a BOOT COMPLETED
	    if ((intent.getAction() != null) &&
			(intent.getAction().equals(Intent.ACTION_BOOT_COMPLETED))) {
			// Avvvio activity Riconoscimento Vocale
	    	try {
		    	// Avvio activity riconoscimento vocale
		    	Intent riconoscimentoVocaleIntent = new Intent (context, RiconoscimentoVocale.class);
		    	riconoscimentoVocaleIntent.addFlags(Intent.FLAG_FROM_BACKGROUND);
		    	riconoscimentoVocaleIntent.addFlags(Intent.FLAG_ACTIVITY_SINGLE_TOP);
                riconoscimentoVocaleIntent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK); 
		    	context.startActivity (riconoscimentoVocaleIntent);
		    } catch (Exception e) {}
	    }		// Chiusura if ricevuto Intent AND Intent uguale a BOOT COMPLETED
	}		// Chiusura funzione onReceive
};		// Chiusura classe StartupBroadcastReceiver